---
title: TrackEvent.track
slug: Web/API/TrackEvent/track
tags:
  - API
  - Audio
  - Event
  - HTML DOM
  - Media
  - Property
  - Read-only
  - Reference
  - TrackEvent
  - Video
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The read-only <code><strong>track</strong></code> property of the {{domxref("TrackEvent")}} interface specifies the media track object to which the event applies.</span> This will be an {{domxref("AudioTrack")}}, {{domxref("VideoTrack")}}, or {{domxref("TextTrack")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>track</em> = <em>TrackEvent</em>.track;</pre>

<h3 id="Value">Value</h3>

<p>An object which is one of the types {{domxref("AudioTrack")}}, {{domxref("VideoTrack")}}, or {{domxref("TextTrack")}}, depending on the type of media represented by the track. This identifies the track to which the event applies.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "media.html#dom-trackevent-track", "TrackEvent.track")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#dom-trackevent-track", "TrackEvent.track")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TrackEvent.track")}}</p>
